GET
https://api.vaelor.chat/v1/musicReturns your finished tracks, the ones still rendering, and the current per-second price.
Response#
tracksobject[]Finished tracks, newest first. See the track object.
pendingobject[]Tracks that are still rendering.
creditsPerSecondintegerCurrent price per second of audio.
usageRemainingintegerYour remaining credit balance.
Example#
curl https://api.vaelor.chat/v1/music \
-H "Authorization: Bearer $VAELOR_API_KEY"const { tracks, pending } = await fetch('https://api.vaelor.chat/v1/music', {
headers: { Authorization: `Bearer ${process.env.VAELOR_API_KEY}` }
}).then((response) => response.json())library = requests.get(
"https://api.vaelor.chat/v1/music",
headers={"Authorization": f"Bearer {os.environ['VAELOR_API_KEY']}"},
).json()Response200
JSON
{
"tracks": [
{
"id": "5f0c2d1e-7a39-4b8e-9e61-2d4f8a0b3c77",
"status": "ready",
"title": "Harbor Lights",
"durationSeconds": 180,
"creditCost": 180,
"createdAt": "2026-10-20T09:12:44.000Z"
}
],
"pending": [],
"creditsPerSecond": 1,
"usageRemaining": 420
}